﻿/*************************************\
 *        ListBox und ComboBox       *
 *                                   *
 * Kapitel: Windows Forms            *
 * Zuordnung: C#-Buch V2.0 9.7       *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Windows.Forms;

namespace CSV20.WinForm_ListBox_ComboBox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            labelListBox1.Text = listBox1.Text;
        }

        private void listBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            labelListBox2.Text = "";
            for (int i = 0; i < listBox2.SelectedItems.Count; i++)
                labelListBox2.Text += (string)listBox2.SelectedItems[i] + (i != (listBox2.SelectedItems.Count - 1) ? "; " : "");
        }
        
        private void comboBox1_TextChanged(object sender, EventArgs e)
        {
            labelComboBox1.Text = comboBox1.Text;
        }

        private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            labelComboBox2.Text = comboBox2.Text;
        }
    }
}